;
;	nsmplot, filename
;
;	EKO 2/28/97
;	read in reduced nsm data, and plot ro (cm) against
;	time (UT)

pro rohist, filename

openr, unit, filename, /get_lun

ro_arr = fltarr(1000)

count = 0

while (not eof(unit) ) do begin
	readf, unit, t, f
	ro_arr(count) = f
	count = count + 1
endwhile

;print, ro_arr

close, unit

;set_plot, 'ps'
netscl

titlestr = 'DNSM R0 values for data taken in March 1998  '
h = histogram (ro_arr(0:count), binsize = 1, min=0., max=30.)

plot, indgen(30), h, ytitle = 'frequency', xtitle ='R0 (cm)', $
	title=titlestr,  xrange=[0., 25.], yrange=[0, 80], $
	ystyle = 1, psym=10

netsave, 'nsm'+filename+'.gif'

;spawn, 'lpr idl.ps'

end
