function str2arr,text,  array=array, delimit=delimit
;
;+
; NAME:
; 	STR2ARR	
; PURPOSE:
;	Convert string separated by delimeters into string array
;	Recursively Parses for delimiters 
; CALLING SEQUENCE:
;	STR2ARR, text [, delim=delim] 
; INPUTS:
;	TEXT - string, (for example,extracted from SXT generic file)
; OUTPUTS:
;	ARRAY - string array, number elements=number of delimeters+1
; COMMON BLOCKS;
;	NONE
;
; RESTRICTIONS:
; MODIFICATION HISTORY:
;	Version 0 - SLF, 5/9/91
;-
;
;
if not keyword_set(delimit) then delimit=','
delim_len=strlen(delimit)
if n_elements(array) eq 0 then array=''
;
occur=strpos(text,delimit)
;
if occur ne -1 then begin				; delimiter?
   ; delimeter was found, concatenate and recurse
   element=strmid(text,0,occur)	 			; substring
   array=[array,element]
   return,str2arr(strmid(text,occur+delim_len,strlen(text)), $	; recurse till
      array=array,delimit=delimit )
endif else array=[array,text]
;
return,array(1:*)
end 
